
/*
 *  TIME.H
 *
 */

#ifndef _TIME_H
#define _TIME_H

#ifndef _STDDEF_H
#include <stddef.h>
#endif

typedef unsigned long clock_t;
typedef unsigned long time_t;

struct tm {
    int tm_sec;     /*	0-59	*/
    int tm_min;     /*	0-59	*/
    int tm_hour;    /*	0-23	*/
    int tm_mday;    /*	1-31	*/
    int tm_mon;     /*	0-11	*/
    int tm_year;    /*	n+1900	*/
    int tm_wday;    /*	(sun)0-6*/
    int tm_yday;    /*	0-366	*/
    int tm_isdst;   /*	daylight svings time flag */
};

#define CLK_TCK(clkt)   ((clkt) / 1000)

extern char *asctime(const struct tm *);
extern clock_t clock(void);
extern char *ctime(const time_t *);
extern double difftime(time_t, time_t);
extern struct tm *gmtime(const time_t *);
extern struct tm *localtime(const time_t *);
extern time_t mktime(struct tm *);
extern size_t strftime(char *, size_t, const char *, const struct tm *);
extern time_t time(time_t *);

#endif


